POST /papi/v1/ramp/connect/prime/info/discover
Request Body
| Field | Type | Mandatory | Remarks |
|---|
| fiatCurrency | string | Yes | Fiat currency code, support AED only |
Example
{
"fiatCurrency": "AED"
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/info/discover \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"fiatCurrency":"AED"}'
Response Body
| Field | Type | Remarks |
|---|
| cryptoCurrencies | array | Array of cryptocurrency data |
| cryptoCurrencies[].cryptoCurrency | string | Cryptocurrency code, e.g., BTC, ETH |
| cryptoCurrencies[].fiatCurrency | string | Fiat currency code, e.g., AED |
| cryptoCurrencies[].quotation | decimal | Quotation price in the specified fiat currency |
| cryptoCurrencies[].changes | decimal | 24-hour change percentage (positive or negative) |
Example
{
"cryptoCurrencies": [
{
"cryptoCurrency": "BTC",
"fiatCurrency": "AED",
"quotation": 16609.58,
"changes": -1.56
},
{
"cryptoCurrency": "ETH",
"fiatCurrency": "AED",
"quotation": 0.9973,
"changes": 0.01
},
{
"cryptoCurrency": "SOL",
"fiatCurrency": "AED",
"quotation": 0.055,
"changes": -4.81
},
{
"cryptoCurrency": "USDT",
"fiatCurrency": "AED",
"quotation": 0.000051,
"changes": -5.41
},
{
"cryptoCurrency": "USDC",
"fiatCurrency": "AED",
"quotation": 1.1,
"changes": -4.81
}
]
}
Cache Policy
The API response is cached for 10 seconds to improve performance and reduce server load.
Last modified on